package com.example.gameslistwithapi;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Query;

public interface RetrofitApi {

    @POST("Personal_Inf")
    Call<Game> createData(@Body Game model);

    @PUT("Personal_Inf/")
    Call<Game> updateData(@Query("id") int id, @Body Game model);

    @DELETE("Personal_Inf/")
    Call<Game> deleteData(@Query("id") int id);
}